<div *ngIf="assetPoolData && !poolNotFoundErr && !bchLegacyPooled" class="container">

  <div *ngIf="loading" class="flex justify-center items-center h-96">
    <mat-progress-spinner mode="indeterminate" diameter="30"></mat-progress-spinner>
  </div>

  <div *ngIf="!loading">
    <app-section-head sectionTitle="Add Liquidity" [displayBackBtn]="true" (back)="back()"></app-section-head>

    <div class="relative">

      <app-pool-type-options [asset]="asset" [selectedPoolType]="poolType" [poolTypeOptions]="poolTypeOptions" (selectPoolType)="setPoolTypeOption($event)"></app-pool-type-options>

      <app-asset-input
        *ngIf="poolType === 'SYM' || poolType === 'ASYM_ASSET'"
        label="Input"
        [(selectedAsset)]="asset"
        [assetUnit]="assetAmount"
        (assetUnitChange)="updateValues('ASSET', $event)"
        [balance]="assetBalance"
        [disabledAssetSymbol]="cacao.symbol"
        [selectableMarkets]="selectableMarkets">
      </app-asset-input>

      <div *ngIf="poolType === 'SYM'" class="flex items-center justify-center">
        <mat-icon [class.disabled]="true" class="to-btn-icon text-sm">add</mat-icon>
      </div>

      <app-asset-input
        *ngIf="poolType === 'SYM' || poolType === 'ASYM_CACAO'"
        label="Input"
        [(selectedAsset)]="cacao"
        [assetUnit]="cacaoAmount"
        (assetUnitChange)="updateValues('CACAO', $event)"
        [balance]="cacaoBalance"
        [hideMax]="true"
        [disabledAssetSymbol]="cacao.symbol"
        [disabledMarketSelect]="true">
      </app-asset-input>

      <div *ngIf="poolType === 'SYM' || poolType === 'ASYM_ASSET'" class="flex justify-between swap-details">
        <span class="tx-detail-label">Asset Fee</span>
        <span *ngIf="networkFee">{{networkFee | number:"1.0-6"}} {{asset.ticker}}.{{asset.chain}}</span>
        <span *ngIf="!networkFee">-</span>
      </div>

      <div *ngIf="poolType === 'SYM' || poolType === 'ASYM_CACAO'" class="flex justify-between swap-details">
        <span class="tx-detail-label">CACAO Fee</span>
        <span *ngIf="cacaoFee">{{cacaoFee | number:"1.0-4"}} CACAO</span>
        <span *ngIf="!cacaoFee">-</span>
      </div>

      <div class="flex">
        <app-approve-eth-contract
          *ngIf="ethContractApprovalRequired"
          class="w-1/2 mr-2"
          [contractAddress]="ethRouter"
          [asset]="asset"
          (approved)="contractApproved()">
        </app-approve-eth-contract>

        <button
          (click)="openConfirmationDialog()"
          class="main-action-btn"
          [ngClass]="ethContractApprovalRequired ? 'w-1/2' : 'w-full'"
          mat-flat-button
          color="primary"
          [disabled]="!formValidation.isValid"
        >
          {{formValidation.message}}
        </button>

      </div>

    </div>
  </div>

</div>

<div *ngIf="poolNotFoundErr">
  <div class="container">
    <app-section-head sectionTitle="Add Liquidity" [displayBackBtn]="true" (back)="back()"></app-section-head>
    <div class="flex flex-col items-center justify-center p-8 text-sm flex-grow">
      <div class="flex flex-col items-center">
        <mat-icon>warning</mat-icon>
        <div *ngIf="asset" class="my-4">
          {{asset.chain}}.{{asset.ticker}} Pool Not Found
        </div>
        <a class="gradient-btn rounded-lg px-8 py-4" [routerLink]="['/', 'create-pool']" [queryParams]="{pool: asset.chain + '.' + asset.symbol}">Create Pool</a>
      </div>
    </div>
  </div>
</div>

<div *ngIf="bchLegacyPooled">
  <div class="container">
    <app-section-head sectionTitle="Do not pool BCH" [displayBackBtn]="true" (back)="back()"></app-section-head>
    <div class="flex flex-col items-center justify-center p-8 text-sm flex-grow">
      <div class="flex flex-col items-center">
        <mat-icon>warning</mat-icon>
        <small>
          Pooled BCH with a legacy address has been found. Depositing BCH with your current BCH Cash address will put you AT RISK OF LOSING YOUR FUNDS. DO NOT POOL BCH! You MUST withdraw BCH pooled with your legacy address before depositing again.
          Please create an issue at https://github.com/asgardex/asgard-exchange/issues if you encounter this message.
        </small>
      </div>
    </div>
  </div>
</div>

